Summary:	RDP client
Name:		rdesktop
Version:	1.7.0
Release:	%mkrel 2
License:	GPL
Group:		Networking/Remote access
URL:		http://www.rdesktop.org/
Source0:	http://prdownloads.sourceforge.net/rdesktop/%{name}-%{version}.tar.gz
Patch0:		rdesktop-1.6.0-pcsclite-1.6.patch
Patch1:		rdesktop-libao.patch
BuildRequires:	libx11-devel
BuildRequires:	libao-devel
BuildRequires:	openssl-devel
BuildRequires:	pcsc-lite-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libxrandr-devel
# nx used to have a forked version of rdesktop called nxdesktop, this
# was dropped in nx 3.2.0 and nx now works with unmodified rdekstop.
# it seems to make most sense handling this by making the original
# rdesktop obsolete and provide the now obsolete fork - AdamW 2008/09
Obsoletes:	nxdesktop < 3.2.0
Provides:	nxdesktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
rdesktop is an open source client for Windows NT Terminal Server and Windows
2000 Terminal Services, capable of natively speaking Remote Desktop Protocol
(RDP) in order to present the user's NT desktop. Unlike Citrix ICA, no server
extensions are required.  

rdesktop currently runs on most UNIX based platforms with the X Window System,
and other ports should be fairly straightforward. rdesktop is used through
rfbdrake.

%prep

%setup -q
%patch0 -p0
%patch1 -p1 -b .ao

# lib64 fix
perl -pi -e "s|\/lib\"|\/%{_lib}\"|g" configure*
perl -pi -e "s|\/lib\ |\/%{_lib}\ |g" configure*

%build
export STRIP="/bin/true"

%configure2_5x \
    --with-openssl=%{_prefix} \
    --with-libao=%{_prefix} \
    --with-sound=libao \
    --with-ipv6 \
    --enable-smartcard

%make

chmod 644 COPYING
chmod 644 doc/*

%install
rm -rf %{buildroot}
%makeinstall_std


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING doc/*.txt doc/AUTHORS doc/HACKING doc/TODO
%{_bindir}/rdesktop
%{_datadir}/%{name}
%{_mandir}/man1/*


%changelog
* Mon May 30 2011 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-2mdv2011.0
+ Revision: 681867
- sync with fedora

* Mon Apr 18 2011 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-1
+ Revision: 655850
- 1.7.0

* Thu Feb 10 2011 Funda Wang <fwang@mandriva.org> 1.6.0-13
+ Revision: 637086
- rebuild
- tighten BR

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 1.6.0-12mdv2011.0
+ Revision: 574310
- rebuild for new pcsclite

* Thu Apr 08 2010 Eugeni Dodonov <eugeni@mandriva.com> 1.6.0-11mdv2010.1
+ Revision: 533136
- Rebuild for new openssl

* Sun Mar 28 2010 Funda Wang <fwang@mandriva.org> 1.6.0-10mdv2010.1
+ Revision: 528352
- rebuild

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.0-9mdv2010.1
+ Revision: 511634
- rebuilt against openssl-0.9.8m

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.6.0-8mdv2010.0
+ Revision: 426879
- rebuild

* Tue Feb 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.0-7mdv2009.1
+ Revision: 337182
- keep bash completion in its own package

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 1.6.0-6mdv2009.1
+ Revision: 317574
- rebuild

* Tue Oct 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.0-5mdv2009.1
+ Revision: 293569
- bash completion

* Fri Sep 05 2008 Adam Williamson <awilliamson@mandriva.org> 1.6.0-4mdv2009.0
+ Revision: 280996
- obsolete and provide nxdesktop (a fork of rdesktop for nx which was dropped
  as of nx 3.2.0)

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.6.0-3mdv2009.0
+ Revision: 265621
- rebuild early 2009.0 package (before pixel changes)

* Thu May 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1.6.0-2mdv2009.0
+ Revision: 207645
- revert back to using libao for sound support

* Thu May 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1.6.0-1mdv2009.0
+ Revision: 207585
- 1.6.0
- use alsa instead of libao for sound support
- enable smartcard support
- drop the redundant rdesktop-fix-depth-crash-1.5.0.patch patch

* Wed Jan 09 2008 Michael Scherer <misc@mandriva.org> 1.5.0-4mdv2008.1
+ Revision: 147225
- fix Group, patch from Shlomi Fish, fix bug #36375

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Fri Sep 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-3mdv2008.0
+ Revision: 85742
- try to restore the original changelog that was lost somehow...

* Wed Jun 13 2007 Emmanuel Blindauer <blindauer@mandriva.org> 1.5.0-2mdv2008.0
+ Revision: 38544
- add patch to fix problem #30452, rdesktop crashing on 16 bits display with win2k3 server


* Wed Jun 13 2007 Emmanuel Blindauer <blindauer@mandriva.org> 1.5.0-2mdv2008.0
- add patch to fix problem #30452, rdesktop crashing on 16 bits display with win2k3 server

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-2mdk
- rebuilt against openssl-0.9.8a

* Mon May 09 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-1mdk
- 1.4.1 (Major bugfixes)
- fix deps
- lib64 fixes

* Mon Mar 07 2005 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.0-1mdk
- 1.4.0
- drop obsolete patches
- rediffed the directory_size patch
- use the %%configure2_5x macro

* Tue Jul 27 2004 Daouda LO <daouda@mandrakesoft.com> 1.3.1-3mdk
- increase directory size for -c option (Gilles C.)

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.3.1-2mdk
- Fix DIRM (distlint)

* Fri Jan 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-1mdk
- new version

* Thu Nov 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.0-1mdk
- fix doc file listing
- rediff patch 1
- drop patch 0
- new version

* Fri Sep 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.0-4mdk
- lib64 fixes

* Fri Aug  8 2003 Daouda LO <daouda@mandrakesoft.com> 1.2.0-3mdk
- Keymaps fixes (display of ', @, ^, ...) for french and finnish.
  [scylla.oddysey.securewave.com is down so i don't have a Windows Terminal 
   Server to test this.]

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.0-2mdk
- rebuild
- use %%makeinstall_std macro
- use %%make macro
- really use $RPM_OPT_FLAGS, and don't mess with Makefile to use them

* Mon Feb  3 2003 Daouda LO <daouda@mandrakesoft.com> 1.2.0-1mdk
- release 1.2.0
- added keymaps support
- added man page and doc files
- "unified patch" completely messed up(most of the features are integrated):
  look at patch.txt status

* Sat Feb  1 2003 Daouda LO <daouda@mandrakesoft.com> 1.1.0-8mdk
- fix rdesktop segfaults (bug #1152)

* Sun Jan 26 2003 Stefan van der Eijk <stefan@eijk.nu> 1.1.0-7mdk
- BuildRequires
- Remove redundant Requires (let rpm do the job)

* Wed Dec  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.0-6mdk
- Make it lib64 aware

* Thu May 30 2002 Stefan van der Eijk <stefan@eijk.nu> 1.1.0-5mdk
- update to unified path 19-9-0

* Tue Feb  5 2002 Daouda LO <daouda@mandrakesoft.com> 1.1.0-4mdk
- mdk release 
- update to unified path 19-8-4

* Fri Jan 25 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 1.1.0-3plf
- fixed extension

* Fri Jan 25 2002 RA <ralf_ahlbrink@web.de> 1.1.0-3mdk
- update to unified patch 19-8-3

* Tue Jan 15 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 1.1.0-2mdk
- contributed to PLF by Oden Eriksson <oden.eriksson@kvikkjokk.net>

* Sun Jan  6 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1.0-1mdk
- initial cooker contrib
